import request from '@/utils/request';

//分页查询试验数据管理试验任务管理
export function tstaskPage(queryParams: any) {
    return request({
        url: '/experimentalData/tstask/page',
        method: 'get',
        params: queryParams
    });
}
//新增试验数据管理试验任务管理
export function addtsTask(queryParams: any) {
    return request({
        url: '/experimentalData/tstask/addtsTask',
        method: 'post',
        data: queryParams
    });
}
// /修改试验数据管理试验任务管理
export function updatetsTask(queryParams: any) {
    return request({
        url: '/experimentalData/tstask/updatetsTask',
        method: 'post',
        data: queryParams
    });
}
//   /根据ID删除试验数据管理试验任务管理
export function deleteTsTaskById(queryParams: any) {
    return request({
        url: '/experimentalData/tstask/deleteTsTaskById',
        method: 'post',
        params: queryParams
    });
}
//批量删除试验数据管理试验任务管理
export function deleteTsTaskByIds(queryParams: any) {
    return request({
        url: '/experimentalData/tstask/deleteTsTaskByIds',
        method: 'post',
        params: queryParams
    });
} 